# Interface JmolPropertyManager

All Known Implementing Classes:
  `PropertyManager`

public interface JmolPropertyManager

## Method Summary

Modifier and Type
Method
Description
`boolean`
`checkPropertyParameter(String name)`
`Object`
`extractProperty(Object property, Object args, int pt, Lst<Object> v2, boolean isCompiled)`
`String`
`fixJMEFormalCharges(BS bsAtoms, String s)`
`String`
`getAtomData(String atomExpression, String type, boolean allTrajectories)`
`String`
`getChimeInfo(int tok, BS selectionSet)`
`String`
`getDefaultPropertyParam(int propertyID)`
`Map<String,Object>`
`getLigandInfo(Object atomExpression)`
`String`
`getModelCml(BS bs, int nAtomsMax, boolean addBonds, boolean doTransform, boolean allTrajectories)`
`String`
`getModelExtract(BS atomBitSet, boolean doTransform, boolean isModelKit, String type, boolean allTrajectories)`
`String`
`getModelFileInfo(BS visibleFramesBitSet)`
`Map<String,Object>`
`getModelInfo(Object atomExpression)`
`String`
`getPdbAtomData(BS bs, OC out, boolean asPQR, boolean doTransform, boolean allTrajectories)`
`String`
`getPdbData(int modelIndex, String type, BS bsA, Object[] parameters, OC oc, boolean addStructure)`
`Object`
`getProperty(String returnType, String infoType, Object paramInfo)`
`int`
`getPropertyNumber(String name)`
`void`
`setViewer(Viewer vwr)`

## Method Details

### setViewer

void setViewer(Viewer vwr)

### getProperty

Object getProperty(String returnType, String infoType, Object paramInfo)

### getDefaultPropertyParam

String getDefaultPropertyParam(int propertyID)

### getPropertyNumber

int getPropertyNumber(String name)

### checkPropertyParameter

boolean checkPropertyParameter(String name)

### extractProperty

Object extractProperty(Object property, Object args, int pt, Lst<Object> v2, boolean isCompiled)

### getModelInfo

Map<String,Object> getModelInfo(Object atomExpression)

### getLigandInfo

Map<String,Object> getLigandInfo(Object atomExpression)

### getModelFileInfo

String getModelFileInfo(BS visibleFramesBitSet)

### getChimeInfo

String getChimeInfo(int tok, BS selectionSet)

### getModelExtract

String getModelExtract(BS atomBitSet, boolean doTransform, boolean isModelKit, String type, boolean allTrajectories)

### getPdbAtomData

String getPdbAtomData(BS bs, OC out, boolean asPQR, boolean doTransform, boolean allTrajectories)

### getPdbData

String getPdbData(int modelIndex, String type, BS bsA, Object[] parameters, OC oc, boolean addStructure)

### getModelCml

String getModelCml(BS bs, int nAtomsMax, boolean addBonds, boolean doTransform, boolean allTrajectories)

### getAtomData

String getAtomData(String atomExpression, String type, boolean allTrajectories)

### fixJMEFormalCharges

String fixJMEFormalCharges(BS bsAtoms, String s)